#ifndef __CONVERT_H
#define __CONVERT_H

#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <zlib.h>

#include "resource.h"

#define MAX_DISC_NUM 5

typedef struct{
	HWND hwnd;
	BOOL thread_end;
	BOOL close_flg;
	int ndiscs;
	char discids[MAX_DISC_NUM][10];
	char levels[MAX_DISC_NUM][2];
	char title[0x80];
	char inputs[MAX_DISC_NUM][MAX_PATH];
	char icon_dir[MAX_PATH];
	char parental[3];
	char region[5];
} DATA, *PDATA; 

void SetConvertData(char* title, int ndiscs, char inputs[MAX_DISC_NUM][MAX_PATH],
					char discids[MAX_DISC_NUM][10], char levels[MAX_DISC_NUM][2], char* icon_dir, char* parental, char* region);
void ShowConvertWnd(int nMode);
void CloseConvert();
LRESULT CALLBACK DlgProcConvert(HWND hWnd, UINT uiMsg, WPARAM wParam, LPARAM lParam);
void OnInitConvert(HWND hWnd);
void OnConvertStart(HWND hWnd);
void OnCancel(HWND hWnd);
DWORD WINAPI ConvertThread(LPVOID data);
void writeLog(HWND hWnd, char* message, BOOL bNextLine = TRUE);

#endif